%define pyname ipaddress

Name:           python-%{pyname}
Version:        1.0.15
Release:        %mkrel 1
Summary:        Port of the python 3.3+ ipaddress module to 2.6+
Group:          Development/Python
License:        Python
URL:            https://pypi.python.org/pypi/%{pyname}/%{version}
Source0:        https://pypi.python.org/packages/source/i/%{pyname}/%{pyname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pythonegg(2)(python)
BuildRequires:  pythonegg(2)(setuptools)


%description
ipaddress provides the capabilities to create, manipulate and operate
on IPv4 and IPv6 addresses and networks.

The functions and classes in this module make it straightforward to
handle various tasks related to IP addresses, including checking
whether or not two hosts are on the same subnet, iterating over all
hosts in a particular subnet, checking whether or not a string
represents a valid IP address or network definition, and so on.

%prep
%setup -q -n %{pyname}-%{version}


%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --prefix=%{_prefix} --root %{buildroot}

%files
%doc README.md
%{python_sitelib}/*


%changelog
* Thu Nov 19 2015 philippem <philippem> 1.0.15-1.mga5
+ Revision: 904312
- backport to mga5
- import python-ipaddress in mga5 to solve dependency for python-cryptography (mga#17144)

* Tue Nov 17 2015 philippem <philippem> 1.0.15-1.mga6
+ Revision: 903855
- update to 1.0.15

* Fri Sep 25 2015 philippem <philippem> 1.0.14-1.mga6
+ Revision: 883538
- fix %%doc
- imported package python-ipaddress

